6.0.0-git
2019-03-20

[#8332] Message Previews causing blank page
Summary Message Previews causing blank page
Queue IMP
Queue Version 4.3.4
Type Bug
State Resolved
Priority 1. Low
Owners
Requester ricardo (at) wenn (dot) com
Created 2009-06-08 (3572 days ago)
Due
Updated 2009-07-02 (3548 days ago)
Assigned 2009-06-08 (3572 days ago)
Resolved 2009-06-08 (3572 days ago)
Milestone
Patch No

History
2009-07-02 21:47:57 erikhaselhofer (at) higlum (dot) com Comment #8 Reply to this comment
I'm not sure if this is the right place to put this, as the ticket is 
marked resolved, but we're having the same problem.  We upgraded from 
Horde 3.1 to 3.3.4 and Imp 4.2 to 4.3.4.  The problem is specifically 
tied to the preview function as when we turn that off everything is 
fine.  We've tested previews on both setups and the older version 
works fine even when we include large messages in the test sample.
2009-06-08 19:56:51 Michael Slusarz Comment #7 Reply to this comment
I just checked though my mailbox, i had a 32Mb email.
Is there any way to limit and protect imp from trying excessivly
large messages?
Only in IMP 5.  There is no way to limit the length of bodytext string 
returned from the IMAP server in IMP 4.
2009-06-08 19:22:28 ricardo (at) wenn (dot) com Comment #6 Reply to this comment
I just checked though my mailbox, i had a 32Mb email.

Is there any way to limit and protect imp from trying excessivly large 
messages?
2009-06-08 19:16:44 ricardo (at) wenn (dot) com Comment #5 Reply to this comment
how do i get IMP5 i cant see it on the site, it is still devel
2009-06-08 19:01:57 Michael Slusarz Comment #4
State ⇒ Resolved
Reply to this comment
This is the error line that happens when php.ini max mem is set to 32M

[Mon Jun 08 13:50:49 2009] [error] [client 10.0.0.5] PHP Fatal error:
  Allowed memory size of 33554432 bytes exhausted (tried to allocate
33916424 bytes) in /var/www/html/horde/imp/lib/MIME/Contents.php on
line 201, referer: http://mail.wenn.com/services/portal/sidebar.php
You most likely have a bad message (or an excessively large, embedded 
MIME message) in your mailbox.  The IMAP/MIME support has been 
rewritten in 5.0 to help in situations like this, but this code will 
not be ported back to IMP 4.
2009-06-08 18:48:18 ricardo (at) wenn (dot) com Comment #3 Reply to this comment
This is the error line that happens when php.ini max mem is set to 32M



[Mon Jun 08 13:50:49 2009] [error] [client 10.0.0.5] PHP Fatal error:   
Allowed memory size of 33554432 bytes exhausted (tried to allocate 
33916424 bytes) in /var/www/html/horde/imp/lib/MIME/Contents.php on 
line 201, referer: http://mail.wenn.com/services/portal/sidebar.php







This is the error line that happens when php.ini max mem is set to 128M



[Mon Jun 08 13:51:50 2009] [error] [client 10.0.0.5] PHP Fatal error:   
Allowed memory size of 134217728 bytes exhausted (tried to allocate 
33916424 bytes) in /var/www/html/horde/lib/Horde/MIME/Part.php on line 
305, referer: http://mail.wenn.com/services/portal/sidebar.php



When i put it to 256M to just check, apache hung with 100% cpu load 
until it timed out or i killed it.


2009-06-08 18:20:23 Michael Slusarz Comment #2
State ⇒ Feedback
Priority ⇒ 1. Low
Reply to this comment
This makes no sense.  There is no way previews can be generated 
*unless* those masks are set.  The preview generation function is only 
called within the MessageCache library, and only if those masks are set.



For us to debug, you will have to provide the exact location where 
this is failing for you since this works fine for everyone else.   
Telling us that skipping a section of code works for you doesn't give 
us enough to debug,.
2009-06-08 14:38:23 ricardo (at) wenn (dot) com Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 3. High
Summary ⇒ Message Previews causing blank page
Queue ⇒ IMP
Milestone ⇒
Patch ⇒ No
Reply to this comment
imp/lib/Mailbox.php - Line 189



For what reason i dont know, when i have message previews turned on, i 
run out of php memory, ive tried allocating more ram to the php 
processes but when i get to around 256 it seems it gets into a loop 
and 100% cpu. Turning off php previews all is good again.



Ive been able to get previews to work again once i comment out line 
189 in the file listed above to do with masks, im not sure what this 
is exactly for but it makes my previews work correctly.

Saved Queries